Bug 812576 - Wireless Virtual stations do not work
Wireless Virtual stations do not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 22:10 EDT by Sergio Belkin
Modified: 2012-04-22 00:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-3.3.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 15:31:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Belkin 2012-04-14 22:10:07 EDT
Description of problem:

Virtual Wireless Station don't work


Version-Release number of selected component (if applicable):

3.3.1-3

How reproducible:

Try to create Wireless Virtual interfaces as stations

Steps to Reproduce:
1.iw --debug phy phy0 interface add  sta0 type station
2.macchanger -r sta0
3.ip link set dev sta0 up
4.wpa_supplicant -t -i sta0 -c /etc/wpa_supplicant/psk.conf  
  
Actual results:

1334448658.278371: Trying to associate with 00:XX:70:XX:af:13 (SSID='dd-wrt' freq=2437 MHz)
1334448678.286869: Authentication with 00:XX:70:XX:af:13 timed out.



Expected results:

1334455656.073019: Trying to associate with 00:1a:70:5e:af:13 (SSID='dd-wrt' freq=2437 MHz)
1334455656.093922: Associated with 00:1a:70:5e:af:13
1334455656.115676: WPA: Key negotiation completed with 00:XX:70:XX:af:13 [PTK=CCMP GTK=TKIP]
1334455656.115734: CTRL-EVENT-CONNECTED - Connection to 00:XX:70:XX:af:13 completed (auth) [id=0 id_str=]



Additional info:

It works with earlier versions such as 3.3.0-8.fc16.x86_64
Comment 1 Sergio Belkin 2012-04-14 22:42:18 EDT
The same happens using kernel 3.3.1-5.fc16.x86_64
Thanks in advance
Comment 2 Sergio Belkin 2012-04-14 23:00:42 EDT
Sorry I forget to mention:

lspci output:

Slot:   07:00.0
Class:  Network controller
Vendor: Atheros Communications Inc.
Device: AR9285 Wireless Network Adapter (PCI-Express)
SVendor:        Lenovo
SDevice:        Device 30a1
Rev:    01
Driver: ath9k
Module: ath9k

Sorry HTH
Comment 3 Josh Boyer 2012-04-15 10:18:05 EDT
There's a known regression in ath9k in 3.3.1.  Should be fixed soon, right John?
Comment 4 John W. Linville 2012-04-16 10:26:38 EDT
I would expect 3.3.2 to address the issue.
Comment 5 Josh Boyer 2012-04-16 10:35:43 EDT
(In reply to comment #4)
> I would expect 3.3.2 to address the issue.

http://koji.fedoraproject.org/koji/buildinfo?buildID=313130

Build, but not filed as an update yet.
Comment 6 Fedora Update System 2012-04-16 15:07:50 EDT
kernel-3.3.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.2-1.fc16
Comment 7 Fedora Update System 2012-04-16 15:11:08 EDT
kernel-3.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.2-1.fc17
Comment 8 Fedora Update System 2012-04-16 17:57:45 EDT
Package kernel-3.3.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.2-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5994/kernel-3.3.2-1.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-04-18 15:31:08 EDT
kernel-3.3.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-22 00:16:35 EDT
kernel-3.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.